Announcing Cradle-7.2 - start your free trial here

May 2013 [Cradle-6.8]

Acrobat Compatibility

Adobe Systems originally released version 10 of their Acrobat products, including both Acrobat itself and Acrobat Reader in October 2010. Since then, several bug fixes and new releases have been provided.

In version 10 of Acrobat, Adobe Systems changed the DDE commands that an external application can use, and Cradle does use, to move to a specific position in a specific page of a PDF document. Unfortunately, errors within Acrobat 10 forced corrections to this new mechanism, which have been released as part of Acrobat 10.1. These problems affect all applications, including Cradle, using Acrobat to open PDF files. Adobe Systems has specified the DDE commands that will be used by versions of Acrobat after version 10.1.

The DDE command interface used by Cradle-6.4 and previous releases will continue to work with all versions of Acrobat up to and including version 9.X but the changes introduced by Adobe Systems means that Cradle-6.4 and previous releases will not be able to move to specific pages within PDF documents, nor specific places in such pages using Acrobat version 10 or later versions of Acrobat.

Acrobat’s new DDE commands have been included in the Cradle-6.5 release. This means that Cradle-6.5 and later releases will function as intended with versions of Acrobat up to and including version 9.X, version 10.1, and also versions after 10.1. But the errors in Acrobat 10 mean that Cradle-6.5 and later releases cannot use Acrobat version 10 to open PDF files at a specific position in a specific page.

3SL recommends that Cradle users should not use Acrobat version 10.0. If you have upgraded to version 10.0 from a previous version of Acrobat, then we recommend that you should immediately upgrade to Acrobat version 10.1 or a later release. The latest releases are Acrobat 11, dated 15.10.12 and version 10.1.4, dated 14.8.2012. 

In this issue

  1. 3SL Newsletters
  2. Receive Your Own Newsletter
  3. Newsletter Contents
  4. 3SL Website
  5. Need Help?
  6. New Cradle Products
  7. 3SL Website Shop
  8. Cradle User Conference
  9. конкурс по 3SL Cradle в России
  10. Cradle Group on LinkedIn
  11. Do You Want Windows XP?
  12. Do You Want Office 2003?
  13. Cradle-6.8 Release
  14. Supported Platforms
  15. Cradle on Linux
  16. Displaying Diagrams in Web Browsers
  17. Acrobat Compatibility
  18. Mixed Office Installations
  19. Old Versions of Cradle